petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESReset

Resets a SNES context to the snessetupcalled = 0 state and removes any allocated Vecs and Mats

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESReset(SNES snes)

Collective on SNES

### Input Parameter

snes -iterative context obtained from SNESCreate()

Notes: Also calls the application context destroy routine set with SNESSetComputeApplicationContext()

### Keywords

SNES, destroy

### See Also

SNESCreate(), SNESSetUp(), SNESSolve()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages